{{& path}}:
  get:
    operationId: get{{schema}}
    tags:
    - {{tag}}
    summary: Get all (or one) {{schema}} of current collection
    parameters:
      - name: id
        in: query
        description: Id of the {{schema}} you want to retrieve
        schema:
          type: integer
    {{#hasRelations}}
      - name: fetch_rels
        in: header
        description: >-
          Relation fetch specification (see Objection Guide#find-queries)
        schema:
          type: array
          items:
            type: string
        explode: true
    x-draig-allow-graph:
      {{#relationList}}
      - {{relationSpecification}}
      {{/relationList}}
    {{/hasRelations}}
    responses:
      '200':
        description: Almost one {{schema}} is found (or more)
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/{{schema}}'
        x-draig-test-fixture:
          id: 1
      '404':
        description: No data was found. Check your criteria for typos
        x-draig-test-fixture:
          id: 9999
